Holger's Java API

## com.antelmann.crm
Class BankAccount

    java.lang.Object
      com.antelmann.crm.BankAccount

All Implemented Interfaces:
  Serializable

    public final class BankAccount

extends Object
implements Serializable

represents the account information for money transfers; the instance is immutable. The country code must not be null.

Since:
  22.10.2008, 17:23:32
Author:
  Holger Antelmann
See Also:
  `GlobalAddress`, Serialized Form

Constructor Summary
`BankAccount(BankAccount ba)`
`BankAccount(String ownerName, String bic, String iban)`
`BankAccount(String ownerName, String countryCode, String bankCode, String accountNumber)`
`BankAccount(String ownerName, String countryCode, String bankCode, String accountNumber, String iban, String bic)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getAccountNumber()`
`String` `getBankCode()`
`String` `getBIC()`
`String` `getCountryCode()` returns always a non-null value (as it must correspond to an existing country)
`String` `getIBAN()`
`String` `getOwnerName()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BankAccount

    public BankAccount(String ownerName,
                       String bic,
                       String iban)

### BankAccount

    public BankAccount(BankAccount ba)

### BankAccount

    public BankAccount(String ownerName,
                       String countryCode,
                       String bankCode,
                       String accountNumber)

### BankAccount

    public BankAccount(String ownerName,
                       String countryCode,
                       String bankCode,
                       String accountNumber,
                       String iban,
                       String bic)

Method Detail

### getOwnerName

    public String getOwnerName()

### getCountryCode

    public String getCountryCode()

  returns always a non-null value (as it must correspond to an existing country)

### getBankCode

    public String getBankCode()

### getAccountNumber

    public String getAccountNumber()

### getIBAN

    public String getIBAN()

### getBIC

    public String getBIC()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads